Skip to main content

Get all purchase orders

GEThttps://api.propexo.com/v1/purchase-orders/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the purchase order

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /PurchaseOrders
    Example: 101
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    GET /PurchaseOrders
    Example: na
    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Method
    GET /PurchaseOrders
    Example: 1
    x_invoice_idnullrequired

    The external ID of the invoice from the integration vendor

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    x_vendor_idstring | nullnullablerequired

    The external ID of the vendor from the integration vendor

    Method
    GET /PurchaseOrders
    Example: 245
    x_parent_purchase_order_idnullrequired

    The external ID of the purchase order from the integration vendor. This field is not null if this is a change order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    numberstring | nullnullablerequired

    The number of the purchase order

    Method
    GET /PurchaseOrders
    Example: PO-1001
    is_closedboolean | nullnullablerequired

    Whether the purchase order is closed or not

    Method
    GET /PurchaseOrders
    descriptionstring | nullnullablerequired

    Description of the purchase order

    Method
    GET /PurchaseOrders
    Example: Monthly maintenance supplies
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the purchase order, in cents

    Method
    GET /PurchaseOrders
    Example: 25000
    order_datestring | nullnullablerequired

    The order date for the purchase order

    Method
    GET /PurchaseOrders
    Example: 2024-06-18T00:00:00.000Z
    expense_typenullrequired

    The expense type of the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    display_typenullrequired

    The display type of the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    status_rawstring | nullnullablerequired

    The raw status associated with the purchase order

    Method
    GET /PurchaseOrders
    Example: Pending
    shipping_address_1string | nullnullablerequired

    The first address line associated with the shipping address for the purchase order

    Important

    Due to Rent Manager API limitations, we are unable to separate the components of an address

    Method
    GET /PurchaseOrders
    Example: 410 Southblock Ave Unit 415 Cincinnati OH 45202
    shipping_address_2nullrequired

    The second address line associated with the shipping address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    shipping_citynullrequired

    The city associated with the shipping address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    shipping_statenullrequired

    The state associated with the shipping address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    shipping_zipnullrequired

    The zip code associated with the shipping address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    shipping_countrynullrequired

    The country associated with the shipping address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    billing_address_1string | nullnullablerequired

    The first address line associated with the billing address for the purchase order

    Important

    Due to Rent Manager API limitations, we are unable to separate the components of an address

    Method
    GET /PurchaseOrders
    Example: 100 Main St Suite 200 Chicago IL 60601
    billing_address_2nullrequired

    The second address line associated with the billing address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    billing_citynullrequired

    The city associated with the billing address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    billing_statenullrequired

    The state associated with the billing address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    billing_zipnullrequired

    The zip code associated with the billing address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    billing_countrynullrequired

    The country associated with the billing address for the purchase order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    custom_data object | nullrequired
    object
    associated_invoice_idsstring[]required

    An array of all other invoices associated with a purchase order. This includes invoices that associated with specific purchase order items.

    Notice

    This field is not currently hydrated for RENTMANAGER

    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum21required

    The property management system of record

    Show 13 enum values
    RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_REST
    Example: RENTMANAGER
    invoice_idnullrequired

    The Propexo unique identifier for the invoice

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    vendor_idstring | nullnullablerequired

    The Propexo unique identifier for the vendor

    Method
    GET /PurchaseOrders
    Example: cmgjprasu79183794371b9g9kvrcrejv
    parent_purchase_order_idnullrequired

    The Propexo unique identifier for the purchase order. This field is not null if this is a change order

    Notice

    This field will always be null for RENTMANAGER

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/purchase-orders/
curl https://api.propexo.com/v1/purchase-orders/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "101",
"x_property_id": "na",
"x_location_id": "1",
"x_invoice_id": null,
"x_vendor_id": "245",
"x_parent_purchase_order_id": null,
"number": "PO-1001",
"is_closed": true,
"description": "Monthly maintenance supplies",
"total_amount_in_cents": 25000,
"order_date": "2024-06-18T00:00:00.000Z",
"expense_type": null,
"display_type": null,
"status_raw": "Pending",
"shipping_address_1": "410 Southblock Ave Unit 415 Cincinnati OH 45202",
"shipping_address_2": null,
"shipping_city": null,
"shipping_state": null,
"shipping_zip": null,
"shipping_country": null,
"billing_address_1": "100 Main St Suite 200 Chicago IL 60601",
"billing_address_2": null,
"billing_city": null,
"billing_state": null,
"billing_zip": null,
"billing_country": null,
"custom_data": "Unknown Type: object,null",
"associated_invoice_ids": [
"string"
],
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"invoice_id": null,
"vendor_id": "cmgjprasu79183794371b9g9kvrcrejv",
"parent_purchase_order_id": null
}
]
}